SuSE 10 Security Update : Apache 2 (ZYPP Patch Number 5629)

Medium Nessus Plugin ID 34698

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 2.7

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

Missing sanity checks of FTP URLs allowed cross-site scripting (XSS) attacks via the mod_prody_ftp module. (CVE-2008-2939)

Missing precautions allowed cross-site request forgery (CSRF) via the mod_proxy_balancer interface. (CVE-2007-6420)

Solution

Apply ZYPP patch number 5629.

See Also

http://support.novell.com/security/cve/CVE-2007-6420.html

http://support.novell.com/security/cve/CVE-2008-2939.html

Plugin Details

Severity: Medium

ID: 34698

File Name: suse_apache2-5629.nasl

Version: 1.15

Type: local

Agent: unix

Published: 2008/11/05

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 2.7

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/09/25

Reference Information

CVE: CVE-2007-6420, CVE-2008-2939

CWE: 79, 352